Onboarding
Create Onboarding Docu Sign Envelope
Creates a DocuSign envelope for an onboarding document template, stores the PDF, and returns an embedded signing URL.
POSThttps://api.toku.com/hris/create-onboarding-docu-sign-envelope
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/hris/create-onboarding-docu-sign-envelope' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"roleInOrgId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"templateId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"templateVersionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"scopeId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"editableDriveId": "string"
}'200 response
{
"documentId": "string",
"envelopeId": "string",
"signingUrl": "string",
"status": "CREATED",
"templateInstanceId": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
roleInOrgIdstring<uuid>requiredtemplateIdstring<uuid>requiredtemplateVersionIdstring<uuid>scopeIdstring<uuid>editableDriveIdstringAllowed: matches ^[A-Za-z0-9_-]{10,200}$
Response
200Successful response
documentIdstring | nullrequiredenvelopeIdstringrequiredsigningUrlstring | nullrequiredstatusstringrequiredAvailable options: CREATED, SENT, SIGNING_READY, ERROR
templateInstanceIdstring400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits